#!/usr/bin/env bash

MYDIR="{{ my_install_path }}/scripts"
MYOLDDIR="{{ my_install_path }}/scripts_old"
MYURL="{{ my_local_url }}"

echo "$(date) Execute cron tasks"

# wait for 6 * 10 sec that already running script have finished
#for i in $(seq 1 6)
#do
#    if [ -e /tmp/gomngr.lock ]; then
#        sleep 10
#    else
#        break
#    fi
#done

if [ -e /tmp/gomngr.lock ]; then
    echo "please check if gomngr is running, and if not remove /tmp/gomngr.lock"
    exit 1
fi

touch /tmp/gomngr.lock

ls $MYDIR/*.update | sort -n -t . -k 2 > /tmp/gomngr.list 2> /dev/null

while read p; do


    $p &> $p.log
    EXITCODE=$?
    filename=$(basename $p)
    curl -s "$MYURL/log/status/$filename/$EXITCODE"
    mv $p $p.$EXITCODE.done
    mv $p.log $p.$EXITCODE.log
    echo "result: $EXITCODE for $p"
    if [ $EXITCODE -ne 0 ]
    then
        cat $p.$EXITCODE.log
    fi
done </tmp/gomngr.list

# Move old file to archive directory
mkdir -p "${MYOLDDIR}"
find "${MYDIR}" -type f -mtime +10 -exec mv {} "${MYOLDDIR}" \;

rm /tmp/gomngr.lock
